Subject: RE: bug#1800: 23.0.60; Changed meaning of * in buffer name completion

From: "Drew Adams" <[email-masked]>
Date: Tue, 6 Jan 2009 21:35:14 -0800

> >> Trying to switch to a killed buffer that had `*' at the beginning
> >> of its name (e.g. *grep*) typing `* g TAB' displays a large list
> >> of irrelevant buffer names.
> >> [No match, type TAB again for * as a wildcard]
> >
> > Here's another option: only treat * as a wildcard if it 
> > doesn't match anything existing.  I.e. if you have buffers
> > that start with "*", then "*g" will not treat the * as a
> > wildcard.  To force the use of a wildcard, we could let
> > the user type "**g".
> 
> It seems unlikely not to have a buffer that starts with "*".
> There are always such buffers as *scratch*, *Messages*, *Completions*.
> OTOH, "**g" will help, but it has the same drawback as using "\*g"
> for a literal character *, i.e. it is not as obvious as using 
> a single *.

I don't agree that this ad hoc escaping is a good solution, but I'm not going to
argue about it here and now. This is the kind of thing that can be discussed
rationally and by a larger group - after the release and with this in practice
as an option, not as the new default.

IOW, keep the default behavior as it has always been, add the new feature, and,
after the release, discuss the possible problems it introduces and possibile
solutions, with the added experience and input of a user base.